## CdSampleWindow CdSampleWindow |

## Functions

GtkWindow * | cd_sample_window_new ()
void | cd_sample_window_set_color ()
void | cd_sample_window_set_fraction ()

## Description

## Functions

### cd_sample_window_new ()

    GtkWindow *
    cd_sample_window_new (void);

#### Returns

a new CdSampleWindow object.

Since: 0.1.22

### cd_sample_window_set_color ()

    void
    cd_sample_window_set_color (CdSampleWindow *sample_window,
                                const CdColorRGB *color);

Sets the window to a specific color.

#### Parameters

sample_window | a valid CdSampleWindow instance |
color | the color |

Since: 0.1.22

### cd_sample_window_set_fraction ()

    void
    cd_sample_window_set_fraction (CdSampleWindow *sample_window,
                                   gdouble fraction);

Sets the percentage value on the window.

#### Parameters

sample_window | a valid CdSampleWindow instance |
fraction | the fraction value to show, or -1 for pulsing. |

Since: 0.1.22